import { ElementRef, Renderer, IterableDiffers, DoCheck } from '@angular/core';
export declare class IgControlBase<Model> implements DoCheck {
    private _differs;
    protected _opts: any;
    protected _el: any;
    protected _widgetName: string;
    protected _differ: any;
    protected _config: any;
    protected _events: Map<string, string>;
    protected _allowChangeDetection: boolean;
    private _evtEmmiters;
    private _changeDetectionInterval;
    private _nativeElement;
    options: Model;
    widgetId: string;
    changeDetectionInterval: number;
    constructor(el: ElementRef, renderer: Renderer, differs: IterableDiffers);
    createSetter(name: any): (value: any) => void;
    ngOnInit(): void;
    createMethodGetter(name: any): () => any;
    ngDoCheck(): void;
    optionChange(options?: any): void;
    isDate(value: any): boolean;
    isRegExp(value: any): boolean;
    isScope(obj: any): any;
    isWindow(obj: any): any;
    isFunction(value: any): boolean;
    isArray(value: any): boolean;
    equalsDiff(o1: any, o2: any, diff?: any): boolean;
    convertToCamelCase(str: any): any;
    ngOnDestroy(): void;
}
