import { IgControlBase } from "../igcontrolbase/igcontrolbase";
import { ControlValueAccessor, NgModel } from "@angular/forms";
import { ElementRef, Renderer, IterableDiffers } from "@angular/core";
export declare class IgEditorBase<Model> extends IgControlBase<Model> implements ControlValueAccessor {
    model: NgModel;
    protected _model: any;
    constructor(el: ElementRef, renderer: Renderer, differs: IterableDiffers, model: NgModel);
    ngOnInit(): void;
    writeValue(value: any): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
}
