import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import { AfterContentInit, QueryList, ElementRef, Renderer, IterableDiffers } from '@angular/core';
import { Column } from './column.directive';
import { Features } from './features.directive';
export declare class IgGridBase<Model> extends IgControlBase<Model> implements AfterContentInit {
    protected _dataSource: any;
    protected _changes: any;
    _columns: QueryList<Column>;
    featuresList: Features;
    constructor(el: ElementRef, renderer: Renderer, differs: IterableDiffers);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    createDataSource(value: any): any;
    deleteRow(id: any): void;
    addRow(rowData: any, index: any): void;
    ngDoCheck(): void;
    allRows(): void;
    optionChange(options?: any): void;
}
