/// <reference types="ignite-ui" />
import { ElementRef, Renderer, IterableDiffers } from "@angular/core";
import { IgControlBase } from "../igcontrolbase/igcontrolbase";
export declare class IgQRCodeBarcodeComponent extends IgControlBase<IgQRCodeBarcode> {
    constructor(el: ElementRef, renderer: Renderer, differs: IterableDiffers);
    /**
     * Returns information about how the barcode is rendered.
     */
    exportVisualData(): Object;
    /**
     * Causes all pending changes of the barcode e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    /**
     * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
     */
    styleUpdated(): void;
}
